# frozen_string_literal: true

require 'spec_helper'
require 'switch_user/provider/sorcery'

class SorceryController < TestController
  def logout
    @user = nil
    reset_session
  end

  def auto_login(user)
    @user = user
  end

  def current_user
    @user
  end
end

RSpec.describe SwitchUser::Provider::Sorcery do
  let(:controller) { SorceryController.new }
  let(:provider) { SwitchUser::Provider::Sorcery.new(controller) }

  it_behaves_like 'a provider'
end
